For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • POSTACH Checkout
      • POSTApple Pay Checkout
      • GETApple Pay Validate Merchant
      • POSTCapture Payment
      • POSTCard Checkout
      • POSTCard on File Authorized
      • POSTCard On File Checkout
      • POSTCash App Checkout
      • POSTCreate Pix Payment
      • POSTCrypto Payin
      • POSTGet Checkout Jwt Token
      • POSTGet Checkout Link
      • POSTGet Destination Auth Key
      • POSTGet Interchange Fees
      • GETGet supported chains and tokens
      • POSTGet Totals
      • POSTGet USDC Authorization Message (EVM only)
      • POSTGoogle Pay Checkout
      • POSTMerchant Initiated Transaction
      • POSTRain Checkout
      • PUTReview Payment Protection
      • POSTSaved Card Checkout
      • POSTSepa/Faster Payments Checkout (New Account)
      • POSTSepa/Faster Payments Checkout (Saved Account)
      • POSTUS Wire Domestic Payments Checkout (New Account)
      • POSTUS Wire Domestic Payments Checkout (Saved Account)
      • POSTVoid Payment
      • POSTZero Authorization
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceCheckout

Get Destination Auth Key

POST
https://api-sandbox.coinflow.cash/api/checkout/destination-auth-key
POST
/api/checkout/destination-auth-key
$curl -X POST https://api-sandbox.coinflow.cash/api/checkout/destination-auth-key \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "blockchain": "solana",
> "destination": "3N5vXq9Y7bZxJkL2mPqRtVw8eFhD1sUaC4GzHnEjKLMN"
>}'
200Successful
1{
2 "destinationAuthKey": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJkZXN0aW5hdGlvbiIsImJsb2NrY2hhaW4iOiJzb2xhbmEiLCJleHAiOjE2ODU0MjQ4MDB9.4f7b8c9d2e3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3c4d5e6f7a8b9c"
3}
If your merchant account is settling USDC to an account OTHER than the one defined in your settlement settings, you can utilize this endpoint to get a destinationAuthKey which can be passed into the checkout endpoints which will settle USDC to the account which is passed into this endpoint.
Was this page helpful?
Previous

Get Interchange Fees

Next
Built with

Authentication

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
blockchainenumRequired
destinationstringRequired

Response

Ok
destinationAuthKeystring